# lsp-plug-in-plugins-lv2-spectrum-analyzer-x1

LSP Spectrum Analyzer x1

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-spectrum-analyzer-x1

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Analyser`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### chn

    “chn” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1chn *

Channel

Flags : Read / Write / Construct

Default value : 0 (0)

### env

    “env” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1env *

FFT Envelope

Flags : Read / Write / Construct

Default value : Pink noise (3)

### freeze

    “freeze” gboolean

Analyzer freeze

Flags : Read / Write / Construct

Default value : false

### freq

    “freq” gfloat

Frequency

Flags : Read

Default value : 0

### frz-0

    “frz-0” gboolean

Freeze 0

Flags : Read / Write / Construct

Default value : false

### hue-0

    “hue-0” gfloat

Hue 0

Flags : Read / Write / Construct

Default value : 0

### lvl

    “lvl” gfloat

Level

Flags : Read

Default value : 0

### mode

    “mode” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1mode *

Analyzer mode

Flags : Read / Write / Construct

Default value : Analyzer (0)

### on-0

    “on-0” gboolean

Analyse 0

Flags : Read / Write / Construct

Default value : false

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pamp

    “pamp” gfloat

Preamp gain

Flags : Read / Write / Construct

Default value : 1

### react

    “react” gfloat

Reactivity

Flags : Read / Write / Construct

Default value : 0.2

### sel

    “sel” gfloat

Selector

Flags : Read / Write / Construct

Default value : 0

### sh-0

    “sh-0” gfloat

Shift gain 0

Flags : Read / Write / Construct

Default value : 1

### solo-0

    “solo-0” gboolean

Solo 0

Flags : Read / Write / Construct

Default value : false

### splog

    “splog” gboolean

Spectralizer logarithmic scale

Flags : Read / Write / Construct

Default value : false

### spm

    “spm” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1spm *

Spectralizer mode

Flags : Read / Write / Construct

Default value : Fog (1)

### tol

    “tol” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1tol *

FFT Tolerance

Flags : Read / Write / Construct

Default value : 4096 (2)

### wnd

    “wnd” Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1wnd *

FFT Window

Flags : Read / Write / Construct

Default value : Hann (0)

### zoom

    “zoom” gfloat

Graph zoom

Flags : Read / Write / Construct

Default value : 1

## Named constants

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1chn

#### Members

`0` (0) – 0

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1env

#### Members

`Purple noise` (0) – Purple noise
`Blue noise` (1) – Blue noise
`White noise` (2) – White noise
`Pink noise` (3) – Pink noise
`Brown noise` (4) – Brown noise

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1mode

#### Members

`Analyzer` (0) – Analyzer
`Mastering` (1) – Mastering
`Spectralizer` (2) – Spectralizer

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1spm

#### Members

`Rainbow` (0) – Rainbow
`Fog` (1) – Fog
`Color` (2) – Color
`Lightning` (3) – Lightning
`Lightness` (4) – Lightness

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1tol

#### Members

`1024` (0) – 1024
`2048` (1) – 2048
`4096` (2) – 4096
`8192` (3) – 8192
`16384` (4) – 16384

### Lsp-plug-in-plugins-lv2-spectrum-analyzer-x1wnd

#### Members

`Hann` (0) – Hann
`Hamming` (1) – Hamming
`Blackman` (2) – Blackman
`Lanczos` (3) – Lanczos
`Gaussian` (4) – Gaussian
`Poisson` (5) – Poisson
`Parzen` (6) – Parzen
`Tukey` (7) – Tukey
`Welch` (8) – Welch
`Nuttall` (9) – Nuttall
`Blackman-Nuttall` (10) – Blackman-Nuttall
`Blackman-Harris` (11) – Blackman-Harris
`Hann-Poisson` (12) – Hann-Poisson
`Bartlett-Hann` (13) – Bartlett-Hann
`Bartlett-Fejer` (14) – Bartlett-Fejer
`Triangular` (15) – Triangular
`Rectangular` (16) – Rectangular
`Flat top` (17) – Flat top
`Cosine` (18) – Cosine

The results of the search are